'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ActionLink = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ActionLink = exports.ActionLink = function (_React$Component) {
  _inherits(ActionLink, _React$Component);

  function ActionLink() {
    _classCallCheck(this, ActionLink);

    return _possibleConstructorReturn(this, (ActionLink.__proto__ || Object.getPrototypeOf(ActionLink)).apply(this, arguments));
  }

  _createClass(ActionLink, [{
    key: 'render',
    value: function render() {
      var btnClasses = (0, _classnames2.default)('btn btn-link', this.props.className, {
        'btn-sm': this.props.size === 'sm',
        'btn-lg': this.props.size === 'lg',
        'btn-xs': this.props.size === 'xs'
      });

      return _react2.default.createElement(
        'button',
        { id: this.props.id, className: btnClasses, onClick: this.props.onClick },
        this.props.children
      );
    }
  }]);

  return ActionLink;
}(_react2.default.Component);

ActionLink.propTypes = Object.assign({}, _react2.default.Component.propTypes, {
  onClick: _propTypes2.default.func,
  size: _propTypes2.default.oneOf(['sm', 'md', 'lg', 'xs'])
});

exports.default = ActionLink;