'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PackageIcon = function (_React$PureComponent) {
  _inherits(PackageIcon, _React$PureComponent);

  function PackageIcon() {
    _classCallCheck(this, PackageIcon);

    return _possibleConstructorReturn(this, (PackageIcon.__proto__ || Object.getPrototypeOf(PackageIcon)).apply(this, arguments));
  }

  _createClass(PackageIcon, [{
    key: 'render',
    value: function render() {
      switch (this.props.package.iconSource) {
        case 'fa':
          {
            return _react2.default.createElement('i', { className: 'fa fa-fw ' + this.props.package.icon });
          }
        case 'img':
          {
            var imageSources = [this.props.package.url + '/icons/tile-64.png', this.props.package.url + '/icons/tile-128.png 1.5x', this.props.package.url + '/icons/tile-256.png 2x', this.props.package.url + '/icons/tile-512.png 3x'];
            return _react2.default.createElement('img', {
              className: 'package-tile-image',
              src: imageSources[0],
              srcSet: imageSources.join(', '),
              alt: this.props.package.name
            });
          }
        default:
          {
            return null;
          }
      }
    }
  }]);

  return PackageIcon;
}(_react2.default.PureComponent);

exports.default = PackageIcon;


PackageIcon.propTypes = {
  package: _propTypes2.default.object.isRequired
};