'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactRedux = require('react-redux');

var _packages = require('../../app/modules/packages');

var _reselect = require('reselect');

var _PackagesDropdown = require('./PackagesDropdown');

var _PackagesDropdown2 = _interopRequireDefault(_PackagesDropdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapDispatchToProps = {};

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  packages: (0, _packages.selectPackages)()
});

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_PackagesDropdown2.default);