'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _injectScopedReducer = require('../../utils/injectScopedReducer');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ScopedComponent = function (_React$Component) {
  _inherits(ScopedComponent, _React$Component);

  function ScopedComponent(props, scopeProps) {
    _classCallCheck(this, ScopedComponent);

    var _this = _possibleConstructorReturn(this, (ScopedComponent.__proto__ || Object.getPrototypeOf(ScopedComponent)).call(this, props));

    _this.scopeProps = scopeProps;
    return _this;
  }

  _createClass(ScopedComponent, [{
    key: 'UNSAFE_componentWillMount',
    value: function UNSAFE_componentWillMount() {
      (0, _injectScopedReducer.injectScopedReducer)('' + this.props.scope, this.scopeProps.reducer);
    }
  }]);

  return ScopedComponent;
}(_react2.default.Component);

exports.default = ScopedComponent;


ScopedComponent.propTypes = {
  scope: _propTypes2.default.string.isRequired
};