'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.selectLocationState = undefined;

var _immutable = require('immutable');

// ------------------------------------
// Selectors
// ------------------------------------
var selectLocationState = exports.selectLocationState = function selectLocationState() {
  var prevRoutingState = void 0;
  var prevRoutingStateJS = void 0;

  return function (state) {
    var routingState = (0, _immutable.fromJS)(state.get('routing'));

    if (!routingState.equals(prevRoutingState)) {
      prevRoutingState = routingState;
      prevRoutingStateJS = routingState.toJS();
    }

    return prevRoutingStateJS;
  };
};