'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _imsSharedCore = require('ims-shared-core');

var _PackageInformation = require('../../PackageInformation');

var _PackageInformation2 = _interopRequireDefault(_PackageInformation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BaseComponent = function (_React$Component) {
  _inherits(BaseComponent, _React$Component);

  function BaseComponent(props) {
    _classCallCheck(this, BaseComponent);

    var _this = _possibleConstructorReturn(this, (BaseComponent.__proto__ || Object.getPrototypeOf(BaseComponent)).call(this, props));

    _this.permHandler = new _imsSharedCore.PermissionHandler({
      package: {
        id: _PackageInformation2.default.packageId
      }
    });
    return _this;
  }

  _createClass(BaseComponent, [{
    key: 'bindFunctions',
    value: function bindFunctions() {
      var keys = Object.getOwnPropertyNames(Object.getPrototypeOf(this));

      for (var i in keys) {
        var key = this[keys[i]];
        if (typeof key === 'function' && keys[i].indexOf('_') === 0) {
          this[keys[i]] = this[keys[i]].bind(this);
        }
      }
    }
  }, {
    key: 'checkPermission',
    value: function checkPermission(permission, userState, skipTreeNodeCheck) {
      var user = userState || this.props.user ? this.props.user : undefined;

      if (!this._isUserInitialized(user)) {
        return false;
      }

      return this.permHandler.checkPermission(permission, user.permissions, skipTreeNodeCheck);
    }
  }, {
    key: '_isUserInitialized',
    value: function _isUserInitialized(user) {
      return user && user.permissions;
    }
  }]);

  return BaseComponent;
}(_react2.default.Component);

exports.default = BaseComponent;


BaseComponent.propTypes = {
  user: _propTypes2.default.shape({
    permissions: _propTypes2.default.array
  })
};