'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _BaseComponent2 = require('../BaseComponent');

var _BaseComponent3 = _interopRequireDefault(_BaseComponent2);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

require('../../styles/Card.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Card = exports.Card = function (_BaseComponent) {
  _inherits(Card, _BaseComponent);

  function Card(props) {
    _classCallCheck(this, Card);

    var _this = _possibleConstructorReturn(this, (Card.__proto__ || Object.getPrototypeOf(Card)).call(this, props));

    _this.bindFunctions();
    return _this;
  }

  _createClass(Card, [{
    key: '_renderHeader',
    value: function _renderHeader() {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'div',
          { className: 'ims-card__title' },
          this.props.title
        ),
        _react2.default.createElement(
          'div',
          { className: 'ims-card__subtitle' },
          this.props.subtitle
        )
      );
    }
  }, {
    key: '_renderRemoveButton',
    value: function _renderRemoveButton() {
      var _this2 = this;

      if (this.props.removeButton) {
        return _react2.default.createElement(
          'button',
          {
            className: (0, _classnames2.default)('btn btn-link btn-xs', 'ims-card__remove-button'),
            onClick: function onClick() {
              return _this2.props.onRemove();
            } },
          _react2.default.createElement('i', { className: 'fa fa-times text-danger' }),
          _react2.default.createElement(
            'span',
            { className: 'sr-only' },
            'Remove'
          )
        );
      }

      return null;
    }
  }, {
    key: 'render',
    value: function render() {
      var renderHeader = this.props.renderHeader || this._renderHeader;

      return _react2.default.createElement(
        'div',
        { className: 'ims-card__container', style: this.props.style },
        _react2.default.createElement(
          'div',
          { className: (0, _classnames2.default)('clearfix', 'ims-card__header') },
          this._renderRemoveButton(),
          renderHeader()
        ),
        _react2.default.createElement(
          'div',
          { className: 'ims-card__body' },
          this.props.children
        )
      );
    }
  }]);

  return Card;
}(_BaseComponent3.default);

Card.propTypes = Object.assign({}, _react2.default.Component.propTypes, {
  title: _propTypes2.default.node,
  subtitle: _propTypes2.default.node,
  removeButton: _propTypes2.default.bool,
  renderHeader: _propTypes2.default.func,
  onRemove: _propTypes2.default.func
});

exports.default = Card;