'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactstrap = require('reactstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ConfirmationModal = function (_React$Component) {
  _inherits(ConfirmationModal, _React$Component);

  function ConfirmationModal() {
    _classCallCheck(this, ConfirmationModal);

    return _possibleConstructorReturn(this, (ConfirmationModal.__proto__ || Object.getPrototypeOf(ConfirmationModal)).apply(this, arguments));
  }

  _createClass(ConfirmationModal, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactstrap.Modal,
        { isOpen: true, toggle: this.props.onCancel },
        this.props.header ? _react2.default.createElement(
          _reactstrap.ModalHeader,
          { closeButton: true },
          this.props.header
        ) : null,
        _react2.default.createElement(
          _reactstrap.ModalBody,
          null,
          this.props.actionMessage
        ),
        _react2.default.createElement(
          _reactstrap.ModalFooter,
          null,
          _react2.default.createElement(
            'button',
            { type: 'button', className: 'btn btn-secondary', onClick: this.props.onCancel },
            this.props.cancelButtonContent
          ),
          _react2.default.createElement(
            'button',
            {
              type: 'button',
              className: this.props.confirmButtonClassNames || 'btn btn-primary',
              onClick: this.props.onConfirm },
            this.props.confirmButtonContent
          )
        )
      );
    }
  }]);

  return ConfirmationModal;
}(_react2.default.Component);

exports.default = ConfirmationModal;


ConfirmationModal.propTypes = Object.assign({}, _react2.default.Component.propTypes, {
  header: _propTypes2.default.string,
  confirmButtonContent: _propTypes2.default.any,
  confirmButtonClassNames: _propTypes2.default.string,
  cancelButtonContent: _propTypes2.default.any,
  actionMessage: _propTypes2.default.string.isRequired,
  isOpen: _propTypes2.default.bool.isRequired,
  onConfirm: _propTypes2.default.func.isRequired,
  onCancel: _propTypes2.default.func.isRequired
});