'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ErrorAlert = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ErrorAlert = exports.ErrorAlert = function ErrorAlert(props) {
  if (!props.message) {
    return null;
  }

  return _react2.default.createElement(
    'div',
    { className: 'alert alert-danger fade in', role: 'alert' },
    props.message
  );
};

ErrorAlert.propTypes = {
  message: _propTypes2.default.string
};

exports.default = ErrorAlert;