'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _LoggedInUser = require('./LoggedInUser');

var _LoggedInUser2 = _interopRequireDefault(_LoggedInUser);

var _reselect = require('reselect');

var _app = require('../../app');

var _reactRedux = require('react-redux');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  user: (0, _app.selectCurrentUser)()
});

var mapDispatchToProps = {
  logout: _app.logout
};

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(_LoggedInUser2.default);