'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NodePath = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var NodePath = exports.NodePath = function (_React$Component) {
  _inherits(NodePath, _React$Component);

  function NodePath() {
    _classCallCheck(this, NodePath);

    return _possibleConstructorReturn(this, (NodePath.__proto__ || Object.getPrototypeOf(NodePath)).apply(this, arguments));
  }

  _createClass(NodePath, [{
    key: '_getNodePath',
    value: function _getNodePath() {
      if (this.props.removeFirst === true) {
        var startIdx = this.props.path.indexOf(' / ');
        if (startIdx >= 0) {
          return this.props.path.slice(startIdx + 3);
        } else {
          return this.props.path;
        }
      } else {
        return this.props.path;
      }
    }
  }, {
    key: 'render',
    value: function render() {
      if (!this.props.path || this.props.path.length === 0) {
        return null;
      }

      return _react2.default.createElement(
        'span',
        null,
        this._getNodePath()
      );
    }
  }]);

  return NodePath;
}(_react2.default.Component);

NodePath.propTypes = {
  path: _propTypes2.default.string,
  removeFirst: _propTypes2.default.bool
};

exports.default = NodePath;