'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _PackageIcon = require('../PackageIcon');

var _PackageIcon2 = _interopRequireDefault(_PackageIcon);

require('../../styles/PackageTile.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PackageTile = function (_React$Component) {
  _inherits(PackageTile, _React$Component);

  function PackageTile() {
    _classCallCheck(this, PackageTile);

    return _possibleConstructorReturn(this, (PackageTile.__proto__ || Object.getPrototypeOf(PackageTile)).apply(this, arguments));
  }

  _createClass(PackageTile, [{
    key: 'render',
    value: function render() {
      var backgroundColor = this.props.package.color ? '#' + this.props.package.color.replace('#', '') : '#373737';
      return _react2.default.createElement(
        'div',
        { className: 'package-tile', style: { backgroundColor: backgroundColor, cursor: 'pointer' } },
        _react2.default.createElement(
          'a',
          { className: 'package-tile-link', href: this.props.package.url, target: '__blank' },
          _react2.default.createElement(
            'div',
            { className: 'package-tile-opacity' },
            _react2.default.createElement(
              'div',
              { className: 'package-tile-icon' },
              _react2.default.createElement(_PackageIcon2.default, { 'package': this.props.package })
            ),
            _react2.default.createElement(
              'div',
              { className: 'package-tile-title' },
              this.props.package.name
            ),
            /* Badge support */
            this.props.package.badgeCount > 0 ? _react2.default.createElement(
              'div',
              { className: 'package-tile-badge badge package-badge' },
              this.props.package.badgeCount
            ) : null
          )
        )
      );
    }
  }]);

  return PackageTile;
}(_react2.default.Component);

exports.default = PackageTile;


PackageTile.propTypes = {
  package: _propTypes2.default.object.isRequired
};