'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

var _PackageInformation = require('../../PackageInformation');

var _PackageInformation2 = _interopRequireDefault(_PackageInformation);

var _PackageTile = require('../PackageTile');

var _PackageTile2 = _interopRequireDefault(_PackageTile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PackagesDropdown = function (_React$Component) {
  _inherits(PackagesDropdown, _React$Component);

  function PackagesDropdown() {
    _classCallCheck(this, PackagesDropdown);

    return _possibleConstructorReturn(this, (PackagesDropdown.__proto__ || Object.getPrototypeOf(PackagesDropdown)).apply(this, arguments));
  }

  _createClass(PackagesDropdown, [{
    key: 'render',
    value: function render() {
      var packageIcon = 'fa fa-fw ' + _PackageInformation2.default.icon;
      var badgeCount = 0;
      for (var i = 0; i < this.props.packages.length; i++) {
        if (this.props.packages[i].badgeCount && this.props.packages[i].id !== _PackageInformation2.default.packageId) {
          badgeCount += this.props.packages[i].badgeCount;
        }
      }
      return _react2.default.createElement(
        'li',
        { className: 'nav-item dropdown', style: { display: 'flex' } },
        _react2.default.createElement(
          _reactRouter.IndexLink,
          {
            to: '/',
            className: 'navbar-brand nav-link dropdown-toggle',
            id: 'packageDropDownLink',
            'data-toggle': 'dropdown',
            'aria-haspopup': 'true',
            'aria-expanded': 'false' },
          _react2.default.createElement('i', { className: packageIcon, 'aria-hidden': 'true' }),
          ' ',
          _PackageInformation2.default.name,
          _react2.default.createElement('span', { className: 'caret' }),
          badgeCount > 0 ? _react2.default.createElement(
            'span',
            { className: 'badge package-badge' },
            badgeCount
          ) : undefined
        ),
        _react2.default.createElement(
          'div',
          {
            className: 'dropdown-menu',
            'aria-labelledby': 'packageDropDownLink',
            style: {
              width: '99vw',
              position: 'absolute',
              left: '-15px',
              maxWidth: '410px',
              padding: '3px'
            } },
          this.props.packages.map(function (p, index) {
            return _react2.default.createElement(_PackageTile2.default, { key: '' + index, 'package': p });
          })
        )
      );
    }
  }]);

  return PackagesDropdown;
}(_react2.default.Component);

exports.default = PackagesDropdown;