'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactRouter = require('react-router');

var _BaseComponent2 = require('../BaseComponent');

var _BaseComponent3 = _interopRequireDefault(_BaseComponent2);

var _PackageInformation = require('../../PackageInformation');

var _PackageInformation2 = _interopRequireDefault(_PackageInformation);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var SecureLink = function (_BaseComponent) {
  _inherits(SecureLink, _BaseComponent);

  function SecureLink(props) {
    _classCallCheck(this, SecureLink);

    var _this = _possibleConstructorReturn(this, (SecureLink.__proto__ || Object.getPrototypeOf(SecureLink)).call(this, props));

    _get(SecureLink.prototype.__proto__ || Object.getPrototypeOf(SecureLink.prototype), 'bindFunctions', _this).call(_this);
    return _this;
  }

  _createClass(SecureLink, [{
    key: 'render',
    value: function render() {
      if (this.checkPermission('+:' + (this.props.packageId || _PackageInformation2.default.packageId) + ':' + (this.props.role || 'user') + ':' + this.props.permission + ':*:*', this.props.user, true)) {
        return _react2.default.createElement(
          _reactRouter.Link,
          { to: this.props.to, activeClassName: 'active', className: this.props.className },
          this.props.children
        );
      } else {
        return null;
      }
    }
  }]);

  return SecureLink;
}(_BaseComponent3.default);

exports.default = SecureLink;


SecureLink.propTypes = {
  children: _propTypes2.default.any,
  packageId: _propTypes2.default.string,
  user: _propTypes2.default.object.isRequired,
  role: _propTypes2.default.string,
  permission: _propTypes2.default.string.isRequired,
  className: _propTypes2.default.any,
  to: _propTypes2.default.string.isRequired
};