'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactMarkdown = require('react-markdown');

var _reactMarkdown2 = _interopRequireDefault(_reactMarkdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TooltipViewer = function (_React$Component) {
  _inherits(TooltipViewer, _React$Component);

  function TooltipViewer() {
    _classCallCheck(this, TooltipViewer);

    return _possibleConstructorReturn(this, (TooltipViewer.__proto__ || Object.getPrototypeOf(TooltipViewer)).apply(this, arguments));
  }

  _createClass(TooltipViewer, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      if (!this.props.tooltip.content && !this.props.tooltip.link && this.props.canEdit === true) {
        return _react2.default.createElement(
          'a',
          { className: 'btn btn-link btn-sm', onClick: function onClick() {
              return _this2.props.onEdit(_this2.props.tooltip);
            } },
          'Click to edit content'
        );
      } else {
        return _react2.default.createElement(
          'div',
          { className: 'clearfix' },
          this.props.canEdit === true && this.renderEditButton(),
          _react2.default.createElement(
            'div',
            { className: 'ims-tooltip-content' },
            this.props.tooltip.content && _react2.default.createElement(_reactMarkdown2.default, { source: this.props.tooltip.content || '' }),
            this.props.tooltip.link && _react2.default.createElement(
              'a',
              { href: this.props.tooltip.link, target: '_blank' },
              'more info'
            )
          )
        );
      }
    }
  }, {
    key: 'renderEditButton',
    value: function renderEditButton() {
      var _this3 = this;

      return _react2.default.createElement(
        'a',
        {
          className: 'btn btn-link btn-sm pull-right',
          onClick: function onClick() {
            return _this3.props.onEdit(_this3.props.tooltip);
          } },
        _react2.default.createElement('i', { className: 'fa fa-fw fa-pencil' })
      );
    }
  }]);

  return TooltipViewer;
}(_react2.default.Component);

exports.default = TooltipViewer;


TooltipViewer.propTypes = {
  canEdit: _propTypes2.default.bool,
  onEdit: _propTypes2.default.func,
  tooltip: _propTypes2.default.shape({
    packageTooltipId: _propTypes2.default.number,
    packageId: _propTypes2.default.string.isRequired,
    tooltipId: _propTypes2.default.string.isRequired,
    content: _propTypes2.default.string,
    link: _propTypes2.default.string
  }).isRequired
};