'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserAutosuggestItem = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

require('../../styles/UserAutosuggestItem.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UserAutosuggestItem = exports.UserAutosuggestItem = function (_React$Component) {
  _inherits(UserAutosuggestItem, _React$Component);

  function UserAutosuggestItem() {
    _classCallCheck(this, UserAutosuggestItem);

    return _possibleConstructorReturn(this, (UserAutosuggestItem.__proto__ || Object.getPrototypeOf(UserAutosuggestItem)).apply(this, arguments));
  }

  _createClass(UserAutosuggestItem, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        { className: 'ims-user-autosuggest-item__container' },
        _react2.default.createElement(
          'div',
          { className: 'ims-user-autosuggest-item__profile-image' },
          this.renderProfileImage()
        ),
        _react2.default.createElement(
          'div',
          { className: 'ims-user-autosuggest-item__info-box' },
          _react2.default.createElement(
            'div',
            { className: 'ims-user-autosuggest-item__name' },
            this.getUserName()
          ),
          _react2.default.createElement(
            'div',
            { className: 'ims-user-autosuggest-item__position' },
            this.props.user.positionPath
          )
        )
      );
    }
  }, {
    key: 'getUserName',
    value: function getUserName() {
      if (this.props.user.displayName) {
        return this.props.user.displayName;
      } else {
        return this.props.user.firstName + ' ' + this.props.user.lastName;
      }
    }
  }, {
    key: 'renderProfileImage',
    value: function renderProfileImage() {
      if (this.props.user.profileImageUrl) {
        return _react2.default.createElement('img', { className: 'img-circle', height: 30, width: 30, src: this.props.user.profileImageUrl });
      } else {
        return _react2.default.createElement(
          'span',
          null,
          _react2.default.createElement('strong', { className: 'fa fa-user-o fa-2x' })
        );
      }
    }
  }]);

  return UserAutosuggestItem;
}(_react2.default.Component);

UserAutosuggestItem.propTypes = {
  user: _propTypes2.default.shape({
    firstName: _propTypes2.default.string.isRequired,
    lastName: _propTypes2.default.string.isRequired,
    displayName: _propTypes2.default.string,
    positionPath: _propTypes2.default.string,
    profileImageUrl: _propTypes2.default.string
  }).isRequired
};

exports.default = UserAutosuggestItem;